Bug 500363 - (CVE-2009-1578) CVE-2009-1578 SquirrelMail: Multiple cross site scripting issues
CVE-2009-1578 SquirrelMail: Multiple cross site scripting issues
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://www.squirrelmail.org/security/...
reported=20090512,public=20090508,imp...
: Security
Depends On: 500790 500791 500792 500793 500794 833981
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 08:49 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 13:48:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-05-12 08:49:26 EDT
A, From SquirrelMail vulnerability report
(http://www.squirrelmail.org/security/issue/2009-05-08):

Two issues were fixed that both allowed an attacker to run arbitrary script (XSS) on most any SquirrelMail page by getting the user to click on specially crafted SquirrelMail links.

Credits: Niels Teusink and Christian Balzer

Patch: 
http://squirrelmail.svn.sourceforge.net/viewvc/squirrelmail?view=rev&revision=13670

B, From SquirrelMail vulnerability report:
(http://www.squirrelmail.org/security/issue/2009-05-09):

An issue was fixed wherein input to the contrib/decrypt_headers.php script was not sanitized and allowed arbitrary script execution upon submission of certain values.

Credits: Niels Teusink

Patch:
http://squirrelmail.svn.sourceforge.net/viewvc/squirrelmail?view=rev&revision=13672
Comment 1 Fedora Update System 2009-05-12 09:07:37 EDT
squirrelmail-1.4.18-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/squirrelmail-1.4.18-1.fc9
Comment 2 Fedora Update System 2009-05-12 20:21:03 EDT
squirrelmail-1.4.18-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2009-05-12 20:22:39 EDT
squirrelmail-1.4.18-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2009-05-12 20:23:54 EDT
squirrelmail-1.4.18-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Jan Lieskovsky 2009-05-13 08:47:05 EDT
Poc (from svn commit):

+ * Update: strip_tags() won't catch something like
+ * src/right_main.php?sort=0&startMessage=1&mailbox=INBOX&xxx="><script>window.open("http://example.com")</script>
+ * or
+ * contrib/decrypt_headers.php/%22%20onmouseover=%22alert(%27hello%20world%27)%22%3E
+ * because it doesn't bother with broken tags.
+ * htmlspecialchars() is the preferred method.
Comment 7 Jan Lieskovsky 2009-05-14 14:04:52 EDT
CVE-2009-1578:

Multiple cross-site scripting (XSS) vulnerabilities in SquirrelMail
before 1.4.18 allow remote attackers to inject arbitrary web script or
HTML via vectors involving (1) certain encrypted strings in e-mail
headers, related to contrib/decrypt_headers.php; (2) PHP_SELF; and (3)
the query string (aka QUERY_STRING).
Comment 8 errata-xmlrpc 2009-05-26 13:31:22 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1066 https://rhn.redhat.com/errata/RHSA-2009-1066.html

Note You need to log in before you can comment on or make changes to this bug.